POST /api/external/hub/v1/orders/cancel_order

Request cancellation of an order. Orders can only be cancelled before they are shipped.

Query parameters

  • connect_identifier string Required

    Connect identifier for the seller account

  • market_order_id string Required

    Marketplace order ID to cancel

Responses

  • 422 application/json

    Missing or invalid parameters

    Hide response attribute Show response attribute object
    • errors array[string]
  • 200 application/json

    Order cancellation processed

    Hide response attributes Show response attributes object
    • market_order_id string

      Cancelled order ID

    • success boolean

      Whether cancellation was successful

    • message string

      Cancellation result message

POST /api/external/hub/v1/orders/cancel_order
curl \
 --request POST 'https://api.useshelf.com/api/external/hub/v1/orders/cancel_order?connect_identifier=string&market_order_id=string'
Response examples (422)
{
  "errors": [
    "string"
  ]
}
Response examples (200)
{
  "market_order_id": "string",
  "success": true,
  "message": "string"
}